Subject: Re: bug#65854: Multi-file replacement diff

From: Juri Linkov <[email-masked]>
Date: Sun, 24 Sep 2023 10:37:54 +0300

>> >> >> +                                                    However, when the file
>> >> >> +is not visited in a buffer, or the buffer is not modified, still read
>> >> >> +contents from the file."
>> >> >
>> >> > Seems to describe an implementation detail, and I don't think it
>> >> > should be there.  E.g., what if the file visited by the buffer no
>> >> > longer exists?
>> >>
>> >> If the file visited by the buffer no longer exists, then
>> >> the standard error is signaled.
>> >
>> > Which means in that case it is better to use the buffer text, no?
>>
>> Since replacement diffs are not supported in non-file buffers,
>> better to signal an error for heads up.
>
> But it _is_ a file-visiting buffer.  It's just that its file was
> deleted meanwhile.

The generated diff could not be applied to the deleted file.
So generating a diff to the deleted file makes no sense anyway.